> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List available plans

> Get all available subscription plans



## OpenAPI

````yaml openapi.json get /api/v1/billing/plans
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /api/v1/billing/plans:
    get:
      tags:
        - billing
      summary: List available plans
      description: Get all available subscription plans
      responses:
        '200':
          description: List of available plans
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.PlanListResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
components:
  schemas:
    internal_api_handler.PlanListResponse:
      description: List of available billing plans
      type: object
      properties:
        plans:
          type: array
          items:
            $ref: '#/components/schemas/internal_api_handler.PlanSummary'
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error
    internal_api_handler.PlanSummary:
      description: Billing plan summary
      type: object
      properties:
        id:
          type: string
          example: plan_starter
        interval:
          type: string
          example: month
        name:
          type: string
          example: Starter
        price:
          type: integer
          example: 29

````